## org.apache.log4j.helpers
Class ThreadLocalMap

    java.lang.Object
      java.lang.ThreadLocal<T>
          java.lang.InheritableThreadLocal
              org.apache.log4j.helpers.ThreadLocalMap

    public final class ThreadLocalMap

extends InheritableThreadLocal

`ThreadLocalMap` extends `InheritableThreadLocal` to bequeath a copy of the hashtable of the MDC of the parent thread.

Since:
  1.2
Author:
  Ceki Gülcü

Constructor Summary
`ThreadLocalMap()`

Method Summary
`Object` `childValue(Object parentValue)`

Methods inherited from class java.lang.ThreadLocal
`get, initialValue, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadLocalMap

    public ThreadLocalMap()

Method Detail

### childValue

    public final Object childValue(Object parentValue)

  Overrides:
    `childValue` in class `InheritableThreadLocal`

Copyright © 1999-2010 Apache Software Foundation. All Rights Reserved.